
extern model_t sampleModel;

// render a polygon
void DrawPolygon (polygon_t *p);

// model ops:
void LoadModel (char *sFilename, model_t *model);       // loads a *.m model file
void DrawModel_v (model_t *model, vector_t *translate, float r_anglex, float r_angley, float r_anglez);
void DrawModel_f (model_t *model, float trans_x, float trans_y, float trans_z, 
	float r_anglex, float r_angley, float r_anglez);

GLuint createModelDisplayList(model_t *);
void FreeModel (model_t *model);

