typedef struct vertex_s
{
	float x, y, z;
} vertex_t;

typedef struct vector_s
{
	float x, y, z;
} vector_t;

typedef struct polygon_s
{
	vertex_t v[3];
	vector_t n;		//normal vector
} polygon_t;

typedef struct model_s
{
	int nPolygons;		// number of polygons
	polygon_t *pList;	// list of polygons
} model_t;

typedef struct map_s 
{
	char cells[128][128];
} map_t;

