//Player specific
#define PLAYER_PORT		6665
#define PLAYER_HOST		"pcm1"

//Laser specific
#define STEP_LASER_ANGLE	1	//in degrees
#define LASER_TRUTH_Z_OFFSET	50	//in milimeters (value always added to laser's Z truth position)
#define LASER_MAX_DISTANCE	8000	//in milimeters (used for points invalidation)
#define USE_INVALID_POINTS	0	//use points which exceeded laser max_distance

//PTZ specific
#define MIN_TILT_ANGLE 			60	//in degrees
#define MAX_TILT_ANGLE  		90	//in degrees
#define STEP_TILT_ANGLE		  	0.5	//in degrees
#define TILT_ANGLE_POLL_MS	 	100	//in miliseconds
#define TILT_ANGLE_WAIT_TIMEOUT		60000	//in miliseconds
#define TILT_ANGLE_WAIT_MIN_TIME	1000	//in miliseconds
#define TILT_ANGLE_ACCEPTABLE_ERROR 	0.2	//in degrees

//Polygon output
#define MAX_EDGE_LENGTH			300	//in milimeters

//Logs
#define WRITE_LOGS_TO_FILE	1
#define WRITE_LOGS_TO_STDOUT	1
#define LOG_LEVEL_FILE		5	//4-debug, 3-warnings, 2-errors, 1-fatal, 0-info
#define LOG_LEVEL_STDOUT	4	//4-debug, 3-warnings, 2-errors, 1-fatal, 0-info
#define LOG_FILE  		"simulator.log"
